/******************************************************************************
 * Product: Compiere ERP & CRM Smart Business Solution                        *
 * Copyright (C) 1999-2007 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 3600 Bridge Parkway #102, Redwood City, CA 94065, USA      *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.model;

/** Generated Model - DO NOT CHANGE */
import java.sql.*;
import java.math.*;
import org.compiere.framework.*;
import org.compiere.util.*;
/** Generated Model for M_ReturnPolicyLine
 *  @author Jorg Janke (generated) 
 *  @version Release 3.0.0 - $Id: GenerateModel.java,v 1.1 2008/01/16 07:34:32 jrmt Exp $ */
public class X_M_ReturnPolicyLine extends PO
{
/** Standard Constructor
@param ctx context
@param M_ReturnPolicyLine_ID id
@param trxName transaction
*/
public X_M_ReturnPolicyLine (Ctx ctx, int M_ReturnPolicyLine_ID, String trxName)
{
super (ctx, M_ReturnPolicyLine_ID, trxName);
/** if (M_ReturnPolicyLine_ID == 0)
{
setM_ReturnPolicyLine_ID (0);
setM_ReturnPolicy_ID (0);
}
 */
}
/** Load Constructor 
@param ctx context
@param rs result set 
@param trxName transaction
*/
public X_M_ReturnPolicyLine (Ctx ctx, ResultSet rs, String trxName)
{
super (ctx, rs, trxName);
}
/** Serial Version No */
static final long serialVersionUID = 27472869556789L;
/** Last Updated Timestamp 2007-09-26 03:17:20.0 */
public static final long updatedMS = 1190744240000L;
/** AD_Table_ID=986 */
public static final int Table_ID=986;

/** TableName=M_ReturnPolicyLine */
public static final String Table_Name="M_ReturnPolicyLine";

protected static KeyNamePair Model = new KeyNamePair(986,"M_ReturnPolicyLine");

protected BigDecimal accessLevel = new BigDecimal(2);
/** AccessLevel
@return 2 - Client 
*/
protected int get_AccessLevel()
{
return accessLevel.intValue();
}
/** Load Meta Data
@param ctx context
@return PO Info
*/
protected POInfo initPO (Ctx ctx)
{
POInfo poi = POInfo.getPOInfo (ctx, Table_ID);
return poi;
}
/** Info
@return info
*/
public String toString()
{
StringBuffer sb = new StringBuffer ("X_M_ReturnPolicyLine[").append(get_ID()).append("]");
return sb.toString();
}
/** Set Description.
@param Description Optional short description of the record */
public void setDescription (String Description)
{
if (Description != null && Description.length() > 255)
{
log.warning("Length > 255 - truncated");
Description = Description.substring(0,255);
}
set_Value ("Description", Description);
}
/** Get Description.
@return Optional short description of the record */
public String getDescription() 
{
return (String)get_Value("Description");
}
/** Set Product Category.
@param M_Product_Category_ID Category of a Product */
public void setM_Product_Category_ID (int M_Product_Category_ID)
{
if (M_Product_Category_ID <= 0) set_Value ("M_Product_Category_ID", null);
else
set_Value ("M_Product_Category_ID", new Integer(M_Product_Category_ID));
}
/** Get Product Category.
@return Category of a Product */
public int getM_Product_Category_ID() 
{
Integer ii = (Integer)get_Value("M_Product_Category_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Product.
@param M_Product_ID Product, Service, Item */
public void setM_Product_ID (int M_Product_ID)
{
if (M_Product_ID <= 0) set_Value ("M_Product_ID", null);
else
set_Value ("M_Product_ID", new Integer(M_Product_ID));
}
/** Get Product.
@return Product, Service, Item */
public int getM_Product_ID() 
{
Integer ii = (Integer)get_Value("M_Product_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Return Policy Line.
@param M_ReturnPolicyLine_ID Exceptions to the return policy timeframe for specific products or product categories can be specified at the line level. */
public void setM_ReturnPolicyLine_ID (int M_ReturnPolicyLine_ID)
{
if (M_ReturnPolicyLine_ID < 1) throw new IllegalArgumentException ("M_ReturnPolicyLine_ID is mandatory.");
set_ValueNoCheck ("M_ReturnPolicyLine_ID", new Integer(M_ReturnPolicyLine_ID));
}
/** Get Return Policy Line.
@return Exceptions to the return policy timeframe for specific products or product categories can be specified at the line level. */
public int getM_ReturnPolicyLine_ID() 
{
Integer ii = (Integer)get_Value("M_ReturnPolicyLine_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Return Policy.
@param M_ReturnPolicy_ID The Return Policy dictates the timeframe within which goods can be returned. */
public void setM_ReturnPolicy_ID (int M_ReturnPolicy_ID)
{
if (M_ReturnPolicy_ID < 1) throw new IllegalArgumentException ("M_ReturnPolicy_ID is mandatory.");
set_ValueNoCheck ("M_ReturnPolicy_ID", new Integer(M_ReturnPolicy_ID));
}
/** Get Return Policy.
@return The Return Policy dictates the timeframe within which goods can be returned. */
public int getM_ReturnPolicy_ID() 
{
Integer ii = (Integer)get_Value("M_ReturnPolicy_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set TimeFrame (in days).
@param TimeFrame The timeframe dictates the number of days after shipment that the goods can be returned. */
public void setTimeFrame (int TimeFrame)
{
set_Value ("TimeFrame", new Integer(TimeFrame));
}
/** Get TimeFrame (in days).
@return The timeframe dictates the number of days after shipment that the goods can be returned. */
public int getTimeFrame() 
{
Integer ii = (Integer)get_Value("TimeFrame");
if (ii == null) return 0;
return ii.intValue();
}
}
